Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/cv3_routines.F90	(revision 5116)
@@ -395,5 +395,5 @@
              CALL iso_verif_noNaN(xt(ixt,i,k),'cv3_feed 241')
            enddo ! do ixt=1,ntraciso 
-           if (iso_eau.gt.0) then
+           if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(xt(iso_eau,i,k),q(i,k), &
                   'cv3_feed 399')
@@ -551,5 +551,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) then   
+       if (iso_eau.gt.0) THEN
          do i=1,len
             CALL iso_verif_egalite(xtnk(iso_eau,i),qnk(i), &
@@ -652,5 +652,5 @@
 
 ! PRINT*,'icb dans cv3_feed '
-! write(*,'(64i2)') icb(2:len-1)
+! WRITE(*,'(64i2)') icb(2:len-1)
 ! CALL dump2d(64,43,'plcl dans cv3_feed ',plcl(2:len-1))
 
@@ -839,5 +839,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0) ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -861,5 +861,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0)                               ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -919,20 +919,20 @@
 #endif         
 #ifdef ISOVERIF
-        write(*,*) 'cv3_routine undilute 1 573: avant condiso'
-        if (iso_HDO.gt.0) then            
+        WRITE(*,*) 'cv3_routine undilute 1 573: avant condiso'
+        if (iso_HDO.gt.0) THEN
          do i=1,len
-          if (qnk(i).gt.ridicule) then
+          if (qnk(i).gt.ridicule) THEN
            CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
                   'cv3_routines 576')
-           endif  !if (qnk(i).gt.ridicule) then
+           endif  !if (qnk(i).gt.ridicule) THEN
          enddo !do i=1,len       
-        endif !if (iso_HDO.gt.0) then 
-        if (iso_eau.gt.0) then            
+        endif !if (iso_HDO.gt.0) THEN
+        if (iso_eau.gt.0) THEN
          do i=1,len
            CALL iso_verif_egalite(xtnk(iso_eau,i),qnk(i), &
                   'cv3_routines 634')
          enddo !do i=1,len       
-        endif !if (iso_eau.gt.0) then
-        write(*,*) 'cv3_routines 641: CALL condiso_liq_ice_vectall'
+        endif !if (iso_eau.gt.0) THEN
+        WRITE(*,*) 'cv3_routines 641: CALL condiso_liq_ice_vectall'
         do i=1,len
            CALL iso_verif_positif(qnk(i)-clw_k(i), &
@@ -956,12 +956,12 @@
 
 #ifdef ISOVERIF
-            write(*,*) 'cv3_routine undilute 1 598: apres condiso'
+            WRITE(*,*) 'cv3_routine undilute 1 598: apres condiso'
           
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             do i=1,len
               CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icbs(i)), &
                clw(i,icbs(i)),'cv3_routines 577',errmax,errmaxrel)
             enddo !do i=1,len
-          endif !if (iso_eau.gt.0) then 
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC   
         do i=1,len
@@ -1020,5 +1020,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0)                                   ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -1042,5 +1042,5 @@
     denom = 243.5 + tc
     denom = max(denom, 1.0)                                   ! convect3
-! ori          if(tc.ge.0.0)then
+! ori          IF(tc.ge.0.0)THEN
     es = 6.112*exp(17.67*tc/denom)
 ! ori          else
@@ -1094,11 +1094,11 @@
 #endif        
 #ifdef ISOVERIF 
-        write(*,*) 'cv3_routines 739: avant condiso'
-        if (iso_HDO.gt.0) then            
+        WRITE(*,*) 'cv3_routines 739: avant condiso'
+        if (iso_HDO.gt.0) THEN
          do i=1,len
            CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
                   'cv3_routines 725')
          enddo     
-        endif !if (iso_HDO.gt.0) then 
+        endif !if (iso_HDO.gt.0) THEN
         do i=1,len
         CALL iso_verif_positif(qnk(i)-clw_k(i), &
@@ -1127,10 +1127,10 @@
 
 #ifdef ISOVERIF            
-!write(*,*) 'DEBUG ISO B'
+!WRITE(*,*) 'DEBUG ISO B'
           do i=1,len
-            if (iso_eau.gt.0) then 
+            if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtclw(iso_eau,i,icb(i)+1), &
                  clw(i,icb(i)+1),'cv3_routines 708',errmax,errmaxrel)
-            endif ! if (iso_eau.gt.0) then 
+            endif ! if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC   
            CALL iso_verif_traceur(xtclw(1,i,icb(i)+1), &
@@ -1138,5 +1138,5 @@
 #endif            
           enddo !do i=1,len
-            !write(*,*) 'FIN DEBUG ISO B'
+            !WRITE(*,*) 'FIN DEBUG ISO B'
 #endif  
 #endif
@@ -1209,5 +1209,5 @@
 ! oct3       ath  = th(i,icb(i)-1) - dttrig
 ! oct3
-! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) then
+! oct3       if (tdif.lt.dtcrit .or. ath.gt.ath1) THEN
 ! oct3         do 60 k=1,nl
 ! oct3            sig(i,k) = beta*sig(i,k) - 2.*alpha*tdif*tdif
@@ -1217,5 +1217,5 @@
 ! oct3         iflag(i)=4 ! pour version vectorisee
 ! oct3c convect3         iflag(i)=0
-! oct3cccc         return
+! oct3cccc         RETURN
 ! oct3       endif
 ! oct3
@@ -1363,5 +1363,5 @@
 !AC!       nn=0
 !AC!      do 101 i=1,len
-!AC!      if(iflag1(i).eq.0)then
+!AC!      IF(iflag1(i).eq.0)THEN
 !AC!       nn=nn+1
 !AC!       tra(nn,k,j)=tra1(i,k,j)
@@ -1401,5 +1401,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
         do k = 1, nd
          do i = 1, ncum                      
@@ -1410,5 +1410,5 @@
          enddo
         enddo
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
        do k = 1, nd
          do i = 1, nloc
@@ -1499,5 +1499,5 @@
 !   - vertical profile of buoyancy computed here (use of buoybase)
 !   - the determination of inb is different
-!   - no inb1, only inb in output
+!   - no inb1, ONLY inb in output
 ! ---------------------------------------------------------------------
 
@@ -1707,5 +1707,5 @@
       DO j = 1,4
         DO i = 1, ncum
-! ori	    if(k.ge.(icb(i)+1))then
+! ori	    IF(k.ge.(icb(i)+1))THEN
           IF (k>=(icbs(i)+1)) THEN                                ! convect3
             tg = tp(i, k)
@@ -1818,5 +1818,5 @@
       DO j = 1,4
         DO i = 1, ncum
-! ori	    if(k.ge.(icb(i)+1))then
+! ori	    IF(k.ge.(icb(i)+1))THEN
           IF (k>=(icbs(i)+1)) THEN                                ! convect3
             tg = tp(i, k)
@@ -1935,5 +1935,5 @@
   DO k = minorig + 1, nl
     DO i = 1, ncum
-! ori	    if(k.ge.(icb(i)+1))then
+! ori	    IF(k.ge.(icb(i)+1))THEN
       IF (k>=(icbs(i)+1)) THEN                                ! convect3
         tg = t(i, k)
@@ -1956,5 +1956,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0)                               ! convect3
-! ori	       if(tc.ge.0.0)then
+! ori	       IF(tc.ge.0.0)THEN
         es = 6.112*exp(17.67*tc/denom)
 ! ori	       else
@@ -1976,5 +1976,5 @@
         denom = 243.5 + tc
         denom = max(denom, 1.0)                               ! convect3
-! ori	       if(tc.ge.0.0)then
+! ori	       IF(tc.ge.0.0)THEN
         es = 6.112*exp(17.67*tc/denom)
 ! ori	       else
@@ -2108,10 +2108,10 @@
 #endif  
 #ifdef ISOVERIF
-        !write(*,*) 'cv3_routine 1259: avant condiso'
+        !WRITE(*,*) 'cv3_routine 1259: avant condiso'
         do i=1,ncum
-           if (iso_HDO.gt.0) then            
+           if (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant(xtnk(iso_hdo,i)/qnk(i), &
                   'cv3_routines 1231')
-           endif !if (iso_HDO.gt.0) then 
+           endif !if (iso_HDO.gt.0) THEN
            CALL iso_verif_positif(qnk(i)-clw_k(i), &
                   'cv3_routines 1336')
@@ -2130,5 +2130,5 @@
 #ifdef ISOTRAC
 #ifdef ISOVERIF
-!        write(*,*) 'cv3_routines 1283: condiso pour traceurs'
+!        WRITE(*,*) 'cv3_routines 1283: condiso pour traceurs'
 #endif
         CALL condiso_liq_ice_vectall_trac(xtnk(1,1),qnk(1), &
@@ -2143,10 +2143,10 @@
         enddo !do i=1,ncum
 #ifdef ISOVERIF
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           do i=1,ncum        
            CALL iso_verif_egalite_choix(xtclw(iso_eau,i,k), &
                 clw(i,k),'cv3_routines 1223',errmax,errmaxrel)
           enddo
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC   
         do i=1,ncum
@@ -2229,5 +2229,5 @@
 ! ori      do 340 k=minorig+1,nl
 ! ori        do 330 i=1,ncum
-! ori        if(k.ge.(icb(i)+1))then
+! ori        IF(k.ge.(icb(i)+1))THEN
 ! ori          tvp(i,k)=tvp(i,k)*(1.0-qnk(i)+ep(i,k)*clw(i,k))
 ! oric         PRINT*,'i,k,tvp(i,k),qnk(i),ep(i,k),clw(i,k)'
@@ -2353,10 +2353,10 @@
 !    do 530 k=minorig+1,nl-1
 !     do 520 i=1,ncum
-!      if(k.ge.(icb(i)+1))then
+!      IF(k.ge.(icb(i)+1))THEN
 !       by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 !       byp=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
 !       cape(i)=cape(i)+by
-!       if(by.ge.0.0)inb1(i)=k+1
-!       if(cape(i).gt.0.0)then
+!       IF(by.ge.0.0)inb1(i)=k+1
+!       IF(cape(i).gt.0.0)THEN
 !        inb(i)=k+1
 !        capem(i)=cape(i)
@@ -2380,9 +2380,9 @@
 !    do 530 k=minorig+1,nl-1
 !     do 520 i=1,ncum
-!      if(k.ge.(icb(i)+1))then
+!      IF(k.ge.(icb(i)+1))THEN
 !       by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 !       cape(i)=cape(i)+by
-!       if(by.ge.0.0)inb1(i)=k+1
-!       if(cape(i).gt.0.0)then
+!       IF(by.ge.0.0)inb1(i)=k+1
+!       IF(cape(i).gt.0.0)THEN
 !        inb(i)=k+1
 !        capem(i)=cape(i)
@@ -2410,11 +2410,11 @@
 ! ori      do 530 k=minorig+1,nl-1
 ! ori        do 520 i=1,ncum
-! ori          if(cape(i).lt.0.0)lcape(i)=.FALSE.
-! ori          if((k.ge.(icb(i)+1)).and.lcape(i))then
+! ori          IF(cape(i).lt.0.0)lcape(i)=.FALSE.
+! ori          if((k.ge.(icb(i)+1)).and.lcape(i))THEN
 ! ori            by=(tvp(i,k)-tv(i,k))*dph(i,k)/p(i,k)
 ! ori            byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
 ! ori            cape(i)=cape(i)+by
-! ori            if(by.ge.0.0)inb1(i)=k+1
-! ori            if(cape(i).gt.0.0)then
+! ori            IF(by.ge.0.0)inb1(i)=k+1
+! ori            IF(cape(i).gt.0.0)THEN
 ! ori              inb(i)=k+1
 ! ori              capem(i)=cape(i)
@@ -2589,5 +2589,5 @@
   END DO
 
-!!      if(inb.lt.(nl-1))then
+!!      IF(inb.lt.(nl-1))THEN
 !!         do 85 i=inb+1,nl-1
 !!            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
@@ -2770,8 +2770,8 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_tmin,option_traceurs,seuil_tag_tmin, &
+    use isotrac_mod, ONLY: option_tmin,option_traceurs,seuil_tag_tmin, &
 &       option_cond,index_zone,izone_cond,index_iso
-    use isotrac_routines_mod, only: iso_recolorise_condensation
-    use isotopes_routines_mod, only: condiso_liq_ice_vectall_trac
+    use isotrac_routines_mod, ONLY: iso_recolorise_condensation
+    use isotopes_routines_mod, ONLY: condiso_liq_ice_vectall_trac
 #ifdef ISOVERIF
     use isotopes_verif_mod, ONLY: iso_verif_trac17_q_deltad,iso_verif_traceur, &
@@ -2854,5 +2854,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!       write(*,*) 'cv3_routines 1820: entree dans cv3_mixing'
+!       WRITE(*,*) 'cv3_routines 1820: entree dans cv3_mixing'
        do i=minorig+1,nl
         do il=1,ncum
@@ -2978,11 +2978,11 @@
          zfice(il) = 1.0-(t(il,j)-pxtice)/(pxtmelt-pxtice)
          zfice(il) = MIN(MAX(zfice(il),0.0),1.0)        
-         if( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+         IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
+            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
           do ixt=1,ntraciso
 !           xtrti(ixt)=xt(ixt,il,1)-xtep(ixt,il,i)*xtclw(ixt,il,i) ! le 7 mai: on supprime xtep
            xtrti(ixt,il)=xtnk(ixt,il)-ep(il,i)*xtclw(ixt,il,i)      
           enddo
-          if(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)then    
+          IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
 ! temperature of condensation (within mixtures):
 !          tcond(il)=t(il,j)  
@@ -2996,6 +2996,6 @@
                              +(1.-sij(il,i,j))*xtrti(ixt,il)
           enddo !do ixt = 1, ntraciso
-         endif  !if(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)then  
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+         endif  !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
        enddo  !do il=1,ncum 
 
@@ -3010,21 +3010,21 @@
 #ifdef ISOVERIF
         do il=1,ncum
-          write(*,*) 'cv3_routines 2083: CALL condiso_liq_ice_vectall'
+          WRITE(*,*) 'cv3_routines 2083: CALL condiso_liq_ice_vectall'
            CALL iso_verif_positif(qent(il,i,j)-elij(il,i,j), &
                   'cv3_routines 2085')
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
               if (iso_verif_egalite_nostop(qent(il,i,j), &
                     xtent(iso_eau,il,i,j), &
-                    'cv3_routine 2126').eq.1) then
-                  write(*,*) 'il,i,j=',il,i,j
-                  write(*,*) 'sij(il,i,j)=',sij(il,i,j)
-                  write(*,*) 'xt(:,il,i)=',xt(:,il,i)
-                  write(*,*) 'xtrti(:,il)=',xtrti(:,il)
-                  write(*,*) 'rr(il,i)=',rr(il,i)
-                  write(*,*) 'qnk(il)=',qnk(il)
-                  write(*,*) 'xtnk(:,il)=',xtnk(:,il)
+                    'cv3_routine 2126').eq.1) THEN
+                  WRITE(*,*) 'il,i,j=',il,i,j
+                  WRITE(*,*) 'sij(il,i,j)=',sij(il,i,j)
+                  WRITE(*,*) 'xt(:,il,i)=',xt(:,il,i)
+                  WRITE(*,*) 'xtrti(:,il)=',xtrti(:,il)
+                  WRITE(*,*) 'rr(il,i)=',rr(il,i)
+                  WRITE(*,*) 'qnk(il)=',qnk(il)
+                  WRITE(*,*) 'xtnk(:,il)=',xtnk(:,il)
                   stop
               endif !if (iso_verif_egalite_nostop(qent(il,i,j),
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
         enddo !do il=1,ncum
 #endif
@@ -3040,8 +3040,8 @@
         do il=1,ncum
           CALL iso_verif_traceur(xt(1,il,i),'cv3_routines 1967')
-          if( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and. &
+            (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
           CALL iso_verif_traceur(xtrti(1,il),'cv3_routines 1968')
-          endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+          endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
           CALL iso_verif_traceur(xtent(1,il,i,j),'cv3_routines 1969')
           
@@ -3056,29 +3056,29 @@
 
 #ifdef ISOTRAC    
-!        write(*,*) 'cv3_routines tmp 1987,option_traceurs=',
+!        WRITE(*,*) 'cv3_routines tmp 1987,option_traceurs=',
 !     :           option_traceurs
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         do il=1,ncum    
-!        write(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
+!        WRITE(*,*) 'cv3 tmp 1991 il,i,j,xtent(:,il,i,j),',
 !     :           'tcond(il),rs(il,j)=',
 !     :            il,i,j,xtent(:,il,i,j),tcond(il),rs(il,j)
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
-          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) then  
-            if (option_traceurs.eq.17) then        
+          if ((elij(il,i,j).gt.0.0).and.(qent(il,i,j).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),t(1,j), &
                  0.0,xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
-!             write(*,*) 'cv3 2002: il,i,j  =',il,i,j   
+            else !if (option_traceurs.eq.17) THEN
+!             WRITE(*,*) 'cv3 2002: il,i,j  =',il,i,j
              CALL iso_recolorise_condensation(qent(il,i,j),elij(il,i,j), &
                  xtent(1,il,i,j),xtelij(1,il,i,j),rs(il,j),0.0,xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
                xtent(ixt,il,i,j)=xtres(ixt)
             enddo     
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
         enddo !do il=1,ncum
 #ifdef ISOVERIF
@@ -3090,15 +3090,15 @@
         enddo !do il=1,ncum 
 #endif        
-        endif !if (option_tmin.ge.1) then       
+        endif !if (option_tmin.ge.1) THEN
 #endif
 
 ! fractionation:
 #ifdef ISOVERIF 
-!        write(*,*) 'cv3_routines 2050: avant condiso'
+!        WRITE(*,*) 'cv3_routines 2050: avant condiso'
         do il=1,ncum
         if ((i.ge.icb(il)).and.(i.le.inb(il)).and. &
-            (j.ge.(icb(il)-1)).and.(j.le.inb(il))) then
-        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95) then  
-        if (iso_eau.gt.0) then
+            (j.ge.(icb(il)-1)).and.(j.le.inb(il))) THEN
+        if (sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95) THEN
+        if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,j), &
               qent(il,i,j),'cv3_routines 1889',errmax,errmaxrel)
@@ -3106,5 +3106,5 @@
               elij(il,i,j),'cv3_routines 1890',errmax,errmaxrel)
         endif
-        if (iso_HDO.gt.0) then    
+        if (iso_HDO.gt.0) THEN
           CALL iso_verif_aberrant_choix(xt(iso_HDO,il,i),rr(il,i), &
                   ridicule,deltalim,'cv3_routines 1997')
@@ -3115,7 +3115,7 @@
                   xtelij(iso_HDO,il,i,j),elij(il,i,j), &
                   ridicule,deltalim,'cv3_routines 1993')
-        endif !if (iso_HDO.gt.0) then
+        endif !if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC  
-!        write(*,*) 'cv3_routines tmp 2039 il=',il
+!        WRITE(*,*) 'cv3_routines tmp 2039 il=',il
            CALL iso_verif_traceur(xtent(1,il,i,j), &
                          'cv3_routines 2031')
@@ -3124,9 +3124,9 @@
 #endif        
 
-        endif !if(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)then  
-        endif !if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+        endif !IF(sij(il,i,j).gt.0.0.and.sij(il,i,j).lt.0.95)THEN
+        endif !IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
         enddo !do il=1,ncum
 #endif
-!        write(*,*) 'cv3_routine tmp 1984: cond=',elij(il,i,j)                
+!        WRITE(*,*) 'cv3_routine tmp 1984: cond=',elij(il,i,j)
 #endif
     END DO
@@ -3135,6 +3135,6 @@
 !AC!        do j=minorig,nl
 !AC!         do il=1,ncum
-!AC!          if( (i.ge.icb(il)).and.(i.le.inb(il)).and.
-!AC!     :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))then
+!AC!          IF( (i.ge.icb(il)).and.(i.le.inb(il)).and.
+!AC!     :       (j.ge.(icb(il)-1)).and.(j.le.inb(il)))THEN
 !AC!            traent(il,i,j,k)=sij(il,i,j)*tra(il,i,k)
 !AC!     :            +(1.-sij(il,i,j))*tra(il,nk(il),k)
@@ -3153,5 +3153,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      if(nent(il,i).eq.0)then
+! @      IF(nent(il,i).eq.0)THEN
         ment(il, i, i) = m(il, i)
         qent(il, i, i) = qnk(il) - ep(il, i)*clw(il, i)
@@ -3170,11 +3170,11 @@
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
-!        write(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
+!        WRITE(*,*) 'cv3 tmp 2095 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) then 
-            if (option_traceurs.eq.17) then
+          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3182,5 +3182,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
+            else !if (option_traceurs.eq.17) THEN
              CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3188,5 +3188,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            endif !if (option_traceurs.eq.17) then
+            endif !if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -3200,6 +3200,5 @@
             enddo
 #endif            
-          endif !if (cond.gt.0.0) then
-          
+          endif !if (cond.gt.0.0) THEN
 #ifdef ISOVERIF          
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i),&
@@ -3208,5 +3207,5 @@
           CALL iso_verif_traceur(xtelij(1,il,i,i),'cv3_routines 2096')
 #endif        
-        endif !if (option_tmin.ge.1) then    
+        endif !if (option_tmin.ge.1) THEN
 #endif
 
@@ -3219,5 +3218,5 @@
 !AC!       do i=minorig+1,nl
 !AC!        do il=1,ncum
-!AC!         if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) then
+!AC!         if (i.ge.icb(il) .and. i.le.inb(il) .and. nent(il,i).eq.0) THEN
 !AC!          traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!         endif
@@ -3406,11 +3405,11 @@
 
 #ifdef ISOTRAC          
-        if (option_tmin.ge.1) then
+        if (option_tmin.ge.1) THEN
         ! colorier la vapeur residuelle selon temperature de
         ! condensation, et le condensat en un tag specifique
-!        write(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
+!        WRITE(*,*) 'cv3 tmp 2314 il,i,j,xtent(:,il,i,j)=',
 !     :            il,i,j,xtent(:,il,i,j)
-          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) then 
-            if (option_traceurs.eq.17) then          
+          if ((elij(il,i,i).gt.0.0).and.(qent(il,i,i).gt.0.0)) THEN
+            if (option_traceurs.eq.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3418,5 +3417,5 @@
                  xtres, &
                  seuil_tag_tmin)
-            else !if (option_traceurs.eq.17) then
+            else !if (option_traceurs.eq.17) THEN
               CALL iso_recolorise_condensation(qent(il,i,i), &
                  elij(il,i,i), &
@@ -3424,5 +3423,5 @@
                  xtres,&
                  seuil_tag_tmin)
-            endif ! if (option_traceurs.eq.17) then
+            endif ! if (option_traceurs.eq.17) THEN
             do ixt=1+niso,ntraciso
               xtent(ixt,il,i,i)=xtres(ixt)
@@ -3436,5 +3435,5 @@
             enddo
 #endif               
-          endif !if (cond.gt.0.0) then
+          endif !if (cond.gt.0.0) THEN
 #ifdef ISOVERIF          
           CALL iso_verif_egalite_choix(xtent(iso_eau,il,i,i), &
@@ -3443,5 +3442,5 @@
           CALL iso_verif_traceur(xtelij(1,il,i,i),'cv3_routines 2323')
 #endif        
-        endif !if (option_tmin.ge.1) then
+        endif !if (option_tmin.ge.1) THEN
 #endif
       END IF
@@ -3451,5 +3450,5 @@
 !AC!       do il=1,ncum
 !AC!        if ( i.ge.icb(il) .and. i.le.inb(il) .and. lwork(il)
-!AC!     :     .and. csum(il,i).lt.m(il,i) ) then
+!AC!     :     .and. csum(il,i).lt.m(il,i) ) THEN
 !AC!         traent(il,i,i,j)=tra(il,nk(il),j)
 !AC!        endif
@@ -3489,19 +3488,19 @@
 #ifdef ISO
 #ifdef ISOVERIF
-       write(*,*) 'cv3_routines 2540: verif finale en sortant de cv3_mixing'
+       WRITE(*,*) 'cv3_routines 2540: verif finale en sortant de cv3_mixing'
        do im = 1, nd
        do jm = 1, nd
         do il = 1, ncum
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(xtelij(iso_eau,il,im,jm), &
                elij(il,im,jm),'cv3_mixing 2110',errmax,errmaxrel)
             if (iso_verif_egalite_choix_nostop(xtent(iso_eau,il,im,jm),  &
                qent(il,im,jm),'cv3_mixing 2112',errmax,errmaxrel) &
-               .eq.1) then
-                write(*,*) 'il,im,jm=',il,im,jm
-                write(*,*) 'xtnk(:,il),qnk(il)=',xtnk(:,il),qnk(il)
+               .eq.1) THEN
+                WRITE(*,*) 'il,im,jm=',il,im,jm
+                WRITE(*,*) 'xtnk(:,il),qnk(il)=',xtnk(:,il),qnk(il)
                 stop
             endif !if (iso_verif_egalite_choix_nostop(xtent(iso_eau,il,im,jm),
-          endif !if (iso_eau.gt.0) then
+          endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur_justmass(xtelij(1,il,im,jm), &
@@ -3517,5 +3516,5 @@
 #ifdef ISOTRAC
         ! seulement a la fin on taggue le condensat
-        if (option_cond.ge.1) then
+        if (option_cond.ge.1) THEN
          do im = 1, nd
          do jm = 1, nd
@@ -3523,9 +3522,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) then
+             if (index_zone(ixt).eq.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=xtelij(index_iso(ixt),il,im,jm)
-             else !if (index_zone(ixt).eq.izone_cond) then
+             else !if (index_zone(ixt).eq.izone_cond) THEN
                 xtelij(ixt,il,im,jm)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) then
+             endif !if (index_zone(ixt).eq.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -3542,9 +3541,9 @@
            ! colorier le condensat en un tag specifique
            do ixt=niso+1,ntraciso
-             if (index_zone(ixt).eq.izone_cond) then
+             if (index_zone(ixt).eq.izone_cond) THEN
                 xtclw(ixt,il,im)=xtclw(index_iso(ixt),il,im)
-             else !if (index_zone(ixt).eq.izone_cond) then
+             else !if (index_zone(ixt).eq.izone_cond) THEN
                 xtclw(ixt,il,im)=0.0
-             endif !if (index_zone(ixt).eq.izone_cond) then
+             endif !if (index_zone(ixt).eq.izone_cond) THEN
            enddo !do ixt=1,ntraciso      
 #ifdef ISOVERIF
@@ -3555,8 +3554,8 @@
         if (iso_verif_positif_nostop(xtclw(itZonIso( &
                  izone_cond,iso_eau),i,k)-xtclw(iso_eau,i,k) &
-                 ,'cv3_routines 909').eq.1) then
-               write(*,*) 'i,k=',i,k
-               write(*,*) 'xtclw=',xtclw(:,i,k)
-               write(*,*) 'niso,ntraciso,index_zone,izone_cond=', &
+                 ,'cv3_routines 909').eq.1) THEN
+               WRITE(*,*) 'i,k=',i,k
+               WRITE(*,*) 'xtclw=',xtclw(:,i,k)
+               WRITE(*,*) 'niso,ntraciso,index_zone,izone_cond=', &
                    niso,ntraciso,index_zone,izone_cond
                stop
@@ -3565,6 +3564,6 @@
          enddo !do il = 1, ncum   
          enddo !do im = 1, nd
-!         write(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
-        endif !if (option_tmin.eq.1) then
+!         WRITE(*,*) 'xtclw(:,1,2)=',xtclw(:,1,2)
+        endif !if (option_tmin.eq.1) THEN
 #endif
 #endif
@@ -3598,5 +3597,5 @@
 #endif
 #ifdef ISOTRAC
-    use isotrac_mod, only: option_cond,izone_cond
+    use isotrac_mod, ONLY: option_cond,izone_cond
     use infotrac_phy, ONLY: itZonIso
 #ifdef ISOVERIF
@@ -3776,5 +3775,5 @@
             CALL iso_verif_noNaN(xtwater(ixt,il,i),'cv3_routines 2888')
           enddo
-            if(iso_eau.gt.0) then
+            IF(iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xt(iso_eau,il,i),rr(il,i), &
                         'cv3_unsat 2245 ',errmax,errmaxrel)
@@ -3785,5 +3784,5 @@
                   elij(il,i,j),'cv3_unsat 2267 ',errmax,errmaxrel)
              enddo  !do j=1,nl   
-            endif !if(iso_eau.gt.0) then
+            endif !IF(iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xt(1,il,i),'cv3_routine 2410')
@@ -3813,5 +3812,5 @@
   DO il = 1, ncum
 !!          lwork(il)=.TRUE.
-!!          if(ep(il,inb(il)).lt.0.0001)lwork(il)=.FALSE.
+!!          IF(ep(il,inb(il)).lt.0.0001)lwork(il)=.FALSE.
 !jyg<
 !!    lwork(il) = ep(il, inb(il)) >= 0.0001
@@ -3892,8 +3891,8 @@
           enddo
 #ifdef ISOVERIF
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv3_routines 2313',errmax,errmaxrel)
-             endif !if (iso_eau.gt.0) then
+             endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwdtrain(1,il),'cv3_routine 2480')
@@ -3915,5 +3914,5 @@
 #ifdef ISO
 ! precip mixed drafts computed from: xtawat/xtelij = awat/elij           
-            if (elij(il,j,i).gt.0.0) then
+            if (elij(il,j,i).gt.0.0) THEN
              do ixt=1,ntraciso
                xtawat(ixt)=xtelij(ixt,il,j,i)*(awat/elij(il,j,i))
@@ -3921,15 +3920,14 @@
              enddo
 !!             xtawat(ixt)=amin1(xtawat(ixt),xtelij(ixt,il,j,i)) !security..
-            else !if (elij(il,j,i).gt.0.0) then
+            else !if (elij(il,j,i).gt.0.0) THEN
              do ixt=1,ntraciso
                xtawat(ixt)=0.0
              enddo !do ixt=1,niso
-            endif  !if (elij(il,j,i).gt.0.0) then                                  
-
+            endif  !if (elij(il,j,i).gt.0.0) THEN
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then
+              if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtawat(iso_eau), &
                  awat,'cv3_routines 2391',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtawat(1),'cv3_routine 2522')
@@ -3950,22 +3948,22 @@
 #endif
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then
+              if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(xtwdtrain(iso_eau,il), &
                  wdtrain(il),'cv3_routines 2366',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then
+              endif !if (iso_eau.gt.0) THEN
 #ifdef ISOTRAC
         CALL iso_verif_traceur(xtwdtrain(1,il),'cv3_routine 2540')
-        if (option_cond.ge.1) then
+        if (option_cond.ge.1) THEN
           ! on verifie que tout le detrainement est tagge condensat
           if (iso_verif_positif_nostop( &
                 xtwdtrain(itZonIso(izone_cond,iso_eau),il) &
                 -xtwdtrain(iso_eau,il), &
-                'cv3_routines 2795').eq.1) then
-          write(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
-          write(*,*) 'xtelij(:,il,j,i)=',xtelij(:,il,j,i)
-          write(*,*) 'xtclw(:,il,i)=',xtclw(:,il,i)
+                'cv3_routines 2795').eq.1) THEN
+          WRITE(*,*) 'xtwdtrain(:,il)=',xtwdtrain(:,il)
+          WRITE(*,*) 'xtelij(:,il,j,i)=',xtelij(:,il,j,i)
+          WRITE(*,*) 'xtclw(:,il,i)=',xtclw(:,il,i)
           stop
           endif !if (iso_verif_positif_nostop(Pxtisup(iso_eau,il)-
-        endif !if (option_cond.ge.1) then
+        endif !if (option_cond.ge.1) THEN
 #endif              
 #endif
@@ -4093,5 +4091,5 @@
 !JYG1
 ! cc        sigt=1.0
-! cc        if(i.ge.icb)sigt=sigp(i)
+! cc        IF(i.ge.icb)sigt=sigp(i)
 ! prise en compte de la variation progressive de sigt dans
 ! les couches icb et icb-1:
@@ -4129,5 +4127,5 @@
 !   c6=prec(il,i+1)+bfac*wdtrain(il) &
 !       -50.*sigd(il)*bfac*(ph(il,i)-ph(il,i+1))*evap(il,i+1)
-!   if(c6.gt.0.0)then
+!   IF(c6.gt.0.0)THEN
 !   revap=0.5*(-b6+sqrt(b6*b6+4.*c6))
 
@@ -4213,5 +4211,5 @@
 !           ice(il,i)=ice(il,i)-fondue(il,i)
             
-!           if((water(il,i)+ice(il,i)).lt.1.e-30)then
+!           if((water(il,i)+ice(il,i)).lt.1.e-30)THEN
 !             faci(il,i)=0.
 !           else
@@ -4380,5 +4378,5 @@
 
 
-! c      if(p(il,i).gt.p(il,icb(il)))then
+! c      IF(p(il,i).gt.p(il,icb(il)))THEN
 ! c       mp(il,i)=mp(il,icb(il))*(p(il,1)-p(il,i))/(p(il,1)-p(il,icb(il)))
 ! c      endif
